AI Sync

Execution Logs

List Execution Logs

GEThttps://app.rizzdial.com/api/Workflow/execution-log
List Execution Logs
curl --request GET \
  --url 'https://app.rizzdial.com/api/Workflow/execution-log?per_page=15&workflow_id=All&trigger_type=All&status=All' \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "records": [
      {
        "id": "OA==",
        "status": "completed",
        "workflow_id": "MQ==",
        "trigger_type": "contact_created"
      }
    ]
  },
  "success": true
}

List Execution Logs#

Paginated execution log for the signed-in company. Execution and workflow ids are base64.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

per_pageintegerquery

Rows per page. Default 15. Maximum 30

workflow_idstringquery

All or a base64 workflow id

trigger_typestringquery

All or a trigger type

statusstringquery

All or an execution status

date_fromstringquery

Start date

date_tostringquery

End date

curl --request GET \
  --url https://app.rizzdial.com/api/Workflow/execution-log?per_page=15 \
  --header 'Authorization: Bearer {{bearer_token}}'
data.recordsarray

Each row has base64 id, workflow_id, status, trigger_type, and timestamps